Last Comment Bug 628893 - Fix use of enum and other reserved words since Bug 497869 landed
: Fix use of enum and other reserved words since Bug 497869 landed
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Philip Chee
:
:
Mentors:
Depends on: 497869 576970
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-25 20:17 PST by Philip Chee
Modified: 2011-01-27 21:04 PST (History)
6 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch Ev1.0 fix enum strict errors [Checked in: Comment 2] (2.50 KB, patch)
2011-01-25 20:37 PST, Philip Chee
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Philip Chee 2011-01-25 20:17:54 PST
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b10pre) Gecko/20110125 SeaMonkey/2.1b2pre

Error: enum is a reserved identifier
Source file: resource://gre/components/smileApplication.js
Line: 365, Column: 8
Source code:
    var enum = Utilities.windowMediator.getEnumerator("navigator:browser"); 

Error: Factory not registered = NS_ERROR_FACTORY_NOT_REGISTERED
Source file: chrome://communicator/content/bindings/notification.xml
Line: 1175
Comment 1 Philip Chee 2011-01-25 20:37:08 PST
Created attachment 507029 [details] [diff] [review]
Patch Ev1.0 fix enum strict errors
[Checked in: Comment 2]
Comment 2 Philip Chee 2011-01-25 20:46:17 PST
Comment on attachment 507029 [details] [diff] [review]
Patch Ev1.0 fix enum strict errors
[Checked in: Comment 2]

Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/75488924c92f

Leaving open in case other strict errors crop up.
Comment 3 Philip Chee 2011-01-26 01:16:19 PST
Jens, You might want to take note of this:

> +++ b/browser/base/content/syncSetup.js
> @@ -875,19 +875,19 @@ var gSyncSetup = {
>    _setFeedback: function (element, success, string) {
>      element.hidden = success || !string;
> -    let class = success ? "success" : "error";
> +    let classname = success ? "success" : "error";
>      let image = element.getElementsByAttribute("class", "statusIcon")[0];
> -    image.setAttribute("status", class);
> +    image.setAttribute("status", classname);
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-01-26 02:06:01 PST
(In reply to comment #3)
> Jens, You might want to take note of this:

TUVM! Will take care of it in bug 618709 / bug 576970.
Comment 5 Serge Gautherie (:sgautherie) 2011-01-27 20:52:44 PST
Bustage-fix for bug 576970 comment 178:
http://hg.mozilla.org/comm-central/rev/0f313f7b192e
(AAv1) Fix xpcshell bustage from bug 576970, copied from bug 497869
Comment 6 Serge Gautherie (:sgautherie) 2011-01-27 21:04:43 PST
Ftr, from bug 497869:
*syncSetup.js: Jens did it.
*nsBrowserGlue.js: I did it.
*fuelApplication.js: Philip did it
;-)

Let's reopen if need be.

Note You need to log in before you can comment on or make changes to this bug.